Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/preferences/LexicalTablePreferencePage.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/preferences/LexicalTablePreferencePage.java	(revision 722)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/preferences/LexicalTablePreferencePage.java	(revision 723)
@@ -29,6 +29,7 @@
 
 import org.eclipse.jface.preference.IntegerFieldEditor;
 import org.eclipse.ui.IWorkbench;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.lexicaltable.core.preferences.LexicalTablePreferences;
 import org.txm.lexicaltable.rcp.adapters.LexicalTableAdapterFactory;
 import org.txm.lexicaltable.rcp.messages.LexicalTableUIMessages;
@@ -37,6 +38,7 @@
 
 /**
  * Lexical Table preferences page.
+ * 
  * @author mdecorde
  * @author sjacquot
  *
@@ -47,10 +49,10 @@
 	@Override
 	public void createFieldEditors() {
 		
-		IntegerFieldEditor fmin = new IntegerFieldEditor(LexicalTablePreferences.F_MIN, LexicalTableUIMessages.LexicalTablePreferencePage_1, this.getFieldEditorParent()); 
+		IntegerFieldEditor fmin = new IntegerFieldEditor(LexicalTablePreferences.F_MIN, TXMCoreMessages.common_lowestFrequency, this.getFieldEditorParent()); 
 		fmin.setValidRange(1, 999999999);
 		
-		IntegerFieldEditor vmax = new IntegerFieldEditor(LexicalTablePreferences.V_MAX, "vmax", this.getFieldEditorParent()); 
+		IntegerFieldEditor vmax = new IntegerFieldEditor(LexicalTablePreferences.V_MAX, TXMCoreMessages.common_numberOfLines, this.getFieldEditorParent()); 
 		vmax.setValidRange(1, 999999999);
 		
 		this.addField(fmin);
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/messages/LexicalTableUIMessages.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/messages/LexicalTableUIMessages.java	(revision 722)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/messages/LexicalTableUIMessages.java	(revision 723)
@@ -18,25 +18,13 @@
 	public static String LexicalTableEditor_18;
 	public static String LexicalTableEditor_4;
 	public static String LexicalTableEditor_5;
-	public static String LexicalTableEditor_6;
 	public static String LexicalTableEditor_7;
-	public static String LexicalTableEditor_8;
 	public static String LexicalTablePreferencePage_0;
-	public static String LexicalTablePreferencePage_1;
-	
-	public static String ComputeLexicalTable_0;
 	public static String ComputeLexicalTable_10;
 	public static String ComputeLexicalTable_12;
 	public static String ComputeLexicalTable_13;
 	public static String ComputeLexicalTable_16;
-	public static String ComputeLexicalTable_1;
-	public static String ComputeLexicalTable_2;
 	public static String ComputeLexicalTable_3;
-	public static String ComputeLexicalTable_4;
-	public static String ComputeLexicalTable_5;
-	public static String ComputeLexicalTable_6;
-	public static String ComputeLexicalTable_7;
-	public static String ComputeLexicalTable_9;
 
 
 	static {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/NamedAssistedQueryWidget.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/NamedAssistedQueryWidget.java	(revision 722)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/NamedAssistedQueryWidget.java	(revision 723)
@@ -79,7 +79,7 @@
 		
 		l = new Label(this, SWT.NONE);
 		l.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, false, true));
-		l.setText(TXMCoreMessages.QUERY_1);
+		l.setText(TXMCoreMessages.common_query);
 		
 		magicstick = new Button(this, SWT.PUSH);
 		magicstick.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, false, true));
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/PropertiesSelector.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/PropertiesSelector.java	(revision 722)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/PropertiesSelector.java	(revision 723)
@@ -286,8 +286,16 @@
 	 * @param index
 	 */
 	public void setSelectedProperty(int index) {
+		this.setSelectedProperty(this.availableProperties.get(index));
+	}
+	
+	/**
+	 * Sets a unique selected property.
+	 * @param property
+	 */
+	public void setSelectedProperty(P property) {
 		List<P> properties = new ArrayList<P>();
-		properties.add(this.availableProperties.get(0));
+		properties.add(property);
 		this.setSelectedProperties(properties);
 	}
 	
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/RCPPreferences.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/RCPPreferences.java	(revision 722)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/RCPPreferences.java	(revision 723)
@@ -5,23 +5,29 @@
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 
+
+/**
+ * 
+ * @author sjacquot
+ *
+ */
 public class RCPPreferences extends TXMPreferences {
 
-	/** The Constant SORTBYFREQ. */
-	//FIXME: to extract to referencer plug-in
-	public static final String SORTBYFREQ = "referencer_sorttype"; //$NON-NLS-1$
+	
+	public static final String PREFERENCES_NODE = RCPPreferences.class.getName();//FrameworkUtil.getBundle(RPreferences.class).getSymbolicName();
 
+
+	
+
 	/** The Constant UI_LOCALE. */
 	public static final String UI_LOCALE = "ui_locale"; //$NON-NLS-1$
 
-	/** The Constant PARTSSORT. */
-	public static final String PARTSSORT = "diag_partssort"; //$NON-NLS-1$
-
-	public static final String PREFERENCES_NODE = RCPPreferences.class.getName();//FrameworkUtil.getBundle(RPreferences.class).getSymbolicName();
-
+	/** The Constant USER_ALERT_DELETE. */
 	public static final String USER_ALERT_DELETE = "user_alert_delete"; //$NON-NLS-1$
 
-	// editors update automatically their result when a form parameter is modified
+	/**
+	 * To auto compute result and refresh editor when a form computing parameter is modified.
+	 */
 	public static final String AUTO_UPDATE_EDITOR = "auto_update_editor"; //$NON-NLS-1$
 
 	public static final String SHOW_SEVERE_DIALOG = "show_severe_dialog"; 
@@ -38,7 +44,6 @@
 	public static final String NO_SESSION = "script_nosession"; //$NON-NLS-1$
 
 	public static final String SAVE_BEFORE_EXECUTION = "script_save_before_execution"; //$NON-NLS-1$
-	/** The Constant USER_ALERT_DELETE. */
 
 	/** The Constant N_LINE_PER_PAGE_DEFAULT. */
 	public static final int N_LINE_PER_PAGE_DEFAULT = 100;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 722)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 723)
@@ -243,7 +243,7 @@
 	public static String DeleteInCorporaView_1;
 	public static String DeleteInCorporaView_2;
 	public static String DeleteLines_0;
-	public static String DeleteLines_1;
+	public static String common_areYouSure;
 	public static String DeleteObject_0;
 	public static String DeleteObject_10;
 	public static String DeleteObject_3;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 722)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 723)
@@ -46,12 +46,16 @@
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.TXMWindows;
 import org.txm.rcp.swt.GLComposite;
+import org.txm.rcp.swt.widget.AssistedQueryWidget;
 import org.txm.rcp.swt.widget.FloatSpinner;
 import org.txm.rcp.swt.widget.NewNavigationWidget;
 import org.txm.rcp.swt.widget.PropertiesSelector;
+import org.txm.rcp.swt.widget.QueryWidget;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.rcp.views.debug.TXMResultDebugView;
+import org.txm.searchengine.cqp.corpus.Property;
+import org.txm.searchengine.cqp.corpus.query.Query;
 import org.txm.utils.logger.Log;
 
 /**
@@ -644,13 +648,14 @@
 
 	/**
 	 * Updates the editor fields from result and declared parameters annotations.
-	 * <p>
 	 * Manages these widgets at this moment: 
 	 * ToolItem+Boolean, 
 	 * FloatSpinner+Float, 
 	 * Spinner+Integer, 
 	 * Text+String, 
-	 * Button+Boolean, Viewer+any, PropertiesSelector+<P extends Property>, NewNavigationWidget+Integer.
+	 * Button+Boolean, Viewer+any, PropertiesSelector+<P extends Property>, NewNavigationWidget+Integer,
+	 * AssistedQueryWidget, QueryWidget
+	 * 
 	 */
 	public void autoUpdateEditorFieldsFromResult(boolean update)	{
 
@@ -695,11 +700,24 @@
 					}
 				}
 				else if(object instanceof PropertiesSelector)	{
-					((PropertiesSelector)object).setSelectedProperties((List) value); 
+					// multiple
+					if(value instanceof List)	{
+						((PropertiesSelector)object).setSelectedProperties((List) value);	
+					}
+					// single
+					else	{
+						((PropertiesSelector)object).setSelectedProperty((Property) value);
+					}
 				}
 				else if(object instanceof NewNavigationWidget)	{
 					((NewNavigationWidget)object).setCurrentPosition((Integer) value); 
 				}
+				else if(object instanceof AssistedQueryWidget)	{
+					((AssistedQueryWidget)object).setText(((Query)value).getQueryString()); 
+				}
+				else if(object instanceof QueryWidget)	{
+					((QueryWidget)object).setText(((Query)value).getQueryString()); 
+				}
 				else	{
 					f.set(this, value);
 				}
@@ -731,7 +749,7 @@
 
 	/**
 	 * Updates the result parameters from the editor declared parameters annotations.
-	 * Manages these widgets at this moment: ToolItem, FloatSpinner, Spinner, Text, Button, Viewer, PropertiesSelector, NewNavigationWidget.
+	 * Manages these widgets at this moment: ToolItem, FloatSpinner, Spinner, Text, Button, Viewer, PropertiesSelector, NewNavigationWidget, AssistedQueryWidget, QueryWidget.
 	 */
 	public void autoUpdateResultFromEditorParameters()	{
 
@@ -776,11 +794,27 @@
 					}
 				}
 				else if(object instanceof PropertiesSelector)	{
-					value = new ArrayList(((PropertiesSelector)object).getSelectedProperties()); // need to copy the list otherwise the properties selector modify the result itself
+					Field resultField = this.getResult().getField(parameter.key());
+					if(resultField != null)	{
+						// multiple
+						if (resultField.getType().isAssignableFrom(List.class))	{
+							value = new ArrayList(((PropertiesSelector)object).getSelectedProperties()); // need to copy the list otherwise the properties selector modify the result itself through reference	
+						}
+						// single
+						else	{
+							value = ((PropertiesSelector)object).getSelectedProperties().get(0);
+						}
+					}
 				}
 				else if(object instanceof NewNavigationWidget)	{
 					value = ((NewNavigationWidget)object).getCurrentPosition(); 
 				}
+				else if(object instanceof AssistedQueryWidget)	{
+					value = ((AssistedQueryWidget)object).getQuery(); 
+				}
+				else if(object instanceof QueryWidget)	{
+					value = ((QueryWidget)object).getQuery(); 
+				}
 				else	{
 					value = object;
 				}
@@ -791,6 +825,7 @@
 			}
 			catch (IllegalArgumentException e) {
 				// TODO Auto-generated catch block
+				System.err.println("TXMEditor.autoUpdateResultFromEditorParameters(): Error with field " + parameter.key());
 				e.printStackTrace();
 			}
 			catch (IllegalAccessException e) {
@@ -876,7 +911,7 @@
 	 * Creates and populates a popup menu and attaches it to the specified composite.
 	 * The menu will be accessible through the RCP extension in plugin.xml by its id, eg. "popup:" + menuId.
 	 * 
-	 *  The menu ID will be the composite class fullpath
+	 *  The menu ID will be the editor/workbench part ID.
 	 *  
 	 * @param composite
 	 * @param partSite not null
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/listeners/ComputeListener.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/listeners/ComputeListener.java	(revision 0)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/listeners/ComputeListener.java	(revision 723)
@@ -0,0 +1,33 @@
+package org.txm.rcp.editors.listeners;
+
+import org.eclipse.swt.widgets.Event;
+import org.eclipse.swt.widgets.Listener;
+import org.txm.core.preferences.TXMPreferences;
+import org.txm.rcp.editors.TXMEditor;
+import org.txm.rcp.preferences.RCPPreferences;
+
+/**
+ * Generic listener that calls TXMEditor.compute() on handleEvent().
+ * 
+ * @author sjacquot
+ *
+ */
+public class ComputeListener extends BaseAbstractComputeListener implements Listener {
+
+	
+	/**
+	 * 
+	 * @param editor
+	 */
+	public ComputeListener(TXMEditor editor) {
+		super(editor);
+	}
+
+	@Override
+	public void handleEvent(Event event) {
+		if (TXMPreferences.getBoolean(RCPPreferences.AUTO_UPDATE_EDITOR, RCPPreferences.PREFERENCES_NODE)) {
+			this.editor.compute(false);
+		}
+	}
+
+}

Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/listeners/ComputeSelectionListener.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/listeners/ComputeSelectionListener.java	(revision 722)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/listeners/ComputeSelectionListener.java	(revision 723)
@@ -7,8 +7,10 @@
 import org.eclipse.jface.viewers.SelectionChangedEvent;
 import org.eclipse.swt.events.SelectionEvent;
 import org.eclipse.swt.events.SelectionListener;
+import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.TXMResult;
 import org.txm.rcp.editors.TXMEditor;
+import org.txm.rcp.preferences.RCPPreferences;
 
 /**
  * A selection listener that can be added to editors widgets and that call the TXMEditor.compute() method.
@@ -38,7 +40,8 @@
 	@Override
 	public void selectionChanged(SelectionChangedEvent event) {
 		// to skip programmatically setSelection() calls
-		if(!mustIgnoreEvent(event))	{
+		if(!mustIgnoreEvent(event)
+				&& TXMPreferences.getBoolean(RCPPreferences.AUTO_UPDATE_EDITOR, RCPPreferences.PREFERENCES_NODE))	{
 			this.editor.compute(false);
 		}
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/listeners/ComputeKeyListener.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/listeners/ComputeKeyListener.java	(revision 722)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/listeners/ComputeKeyListener.java	(revision 723)
@@ -10,7 +10,7 @@
 import org.txm.rcp.editors.TXMEditor;
 
 /**
- * Key listener that call TXMEditor.compute() when the Enter key is pressed.
+ * Key listener that calls TXMEditor.compute() when the Enter key is pressed.
  * 
  * @author mdecorde
  * @author sjacquot
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SVGGraphicEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SVGGraphicEditor.java	(revision 722)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SVGGraphicEditor.java	(revision 723)
@@ -38,7 +38,6 @@
 import org.eclipse.ui.IEditorInput;
 import org.eclipse.ui.IEditorSite;
 import org.eclipse.ui.PartInitException;
-import org.txm.core.results.TXMResult;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.svg.SVGComposite;
 
Index: tmp/org.txm.rcp/rcpapplication.product
===================================================================
--- tmp/org.txm.rcp/rcpapplication.product	(revision 722)
+++ tmp/org.txm.rcp/rcpapplication.product	(revision 723)
@@ -79,7 +79,6 @@
       </win>
    </launcher>
 
-
    <vm>
       <linux include="false">org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7</linux>
       <macos include="false">org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7</macos>
@@ -565,6 +564,8 @@
       <feature id="org.eclipse.equinox.p2.user.ui"/>
       <feature id="org.eclipse.equinox.p2.extras.feature"/>
       <feature id="org.eclipse.ecf.filetransfer.ssl.feature"/>
+      <feature id="org.txm.statsengine.r.feature"/>
+      <feature id="org.txm.searchengine.cqp.feature"/>
    </features>
 
    <configurations>
Index: tmp/org.txm.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.rcp/META-INF/MANIFEST.MF	(revision 722)
+++ tmp/org.txm.rcp/META-INF/MANIFEST.MF	(revision 723)
@@ -134,7 +134,6 @@
  org.txm.rcp.commands.queryview,
  org.txm.rcp.commands.tests,
  org.txm.rcp.commands.workspace,
- org.txm.rcp.decorators,
  org.txm.rcp.editors,
  org.txm.rcp.editors.adaptableDataStructure,
  org.txm.rcp.editors.imports,
Index: tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java
===================================================================
--- tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 722)
+++ tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 723)
@@ -45,6 +45,13 @@
 import org.txm.searchengine.cqp.corpus.query.Query;
 import org.txm.utils.logger.Log;
 
+/**
+ * Internal view editor.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
 public class InternalViewEditor extends TXMEditor<InternalView> {
 
 	public static final String ID = InternalViewEditor.class.getName();
@@ -71,7 +78,6 @@
 	 */
 	@Parameter(key=InternalViewPreferences.STRUCTURAL_UNIT)
 	protected StructuralUnitsComboViewer structuralUnitsComboViewer; 
-	
 
 	/**
 	 * Word properties to display.
@@ -89,8 +95,13 @@
 	@Override
 	public void _createPartControl(Composite parent) {
 
-		internalView = getResult();
+		internalView = this.getResult();
+
+		// Computing listener
+		ComputeSelectionListener computeSelectionListener = new ComputeSelectionListener(this);
+		ComputeKeyListener computeKeyListener = new ComputeKeyListener(this);
 		
+		
 		Composite parametersArea = getCommandParametersGroup();
 		parametersArea.setLayout(new GridLayout(5,false));
 		parametersArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
@@ -107,10 +118,8 @@
 		this.structuralUnitsComboViewer.addSelectionChangedListener(new ISelectionChangedListener() {
 			@Override
 			public void selectionChanged(SelectionChangedEvent event) {
-				if(!BaseAbstractComputeListener.mustIgnoreEvent(event))	{
-					structuralUnitPropertiesSelector.setProperties(structuralUnitsComboViewer.getSelectedStructuralUnit().getUserDefinedOrderedProperties());
-					structuralUnitPropertiesSelector.setSelectedProperty(0);
-				}
+				structuralUnitPropertiesSelector.setProperties(structuralUnitsComboViewer.getSelectedStructuralUnit().getUserDefinedOrderedProperties());
+				structuralUnitPropertiesSelector.setSelectedProperty(0);
 			}
 		});
 		
@@ -133,7 +142,7 @@
 		structuralUnitPropertiesSelector.setLayoutData(new GridData(GridData.CENTER, GridData.CENTER, false, true));
 		structuralUnitPropertiesSelector.setLayout(new GridLayout(3, false));
 		structuralUnitPropertiesSelector.setText(InternalViewUIMessages.InternalViewEditor_5);
-		structuralUnitPropertiesSelector.addSelectionListener(new ComputeSelectionListener(this));
+		structuralUnitPropertiesSelector.addSelectionListener(computeSelectionListener);
 		
 		navigationPanel = getBottomToolbar().installGLComposite("navigation", 4 , false);
 		navigationPanel.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
@@ -141,14 +150,14 @@
 		// Navigation widget
 		navigation = new NewNavigationWidget(navigationPanel);
 		navigation.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, true));
-		navigation.addGoToKeyListener(new ComputeKeyListener(this));
+		navigation.addGoToKeyListener(computeKeyListener);
 
 		
 		// Listeners
-		navigation.addFirstListener(new ComputeSelectionListener(this));
-		navigation.addPreviousListener(new ComputeSelectionListener(this));
-		navigation.addNextListener(new ComputeSelectionListener(this));
-		navigation.addLastListener(new ComputeSelectionListener(this));
+		navigation.addFirstListener(computeSelectionListener);
+		navigation.addPreviousListener(computeSelectionListener);
+		navigation.addNextListener(computeSelectionListener);
+		navigation.addLastListener(computeSelectionListener);
 
 		
 		structInfos = new Label(navigationPanel, SWT.NONE);
@@ -195,8 +204,6 @@
 			}
 		});
 		
-		initializeFields();
-		
 		// Register the context menu
 		TXMEditor.initContextMenu(this.viewer.getTable(), "InternalViewEditorContextMenu", this.getSite(), this.viewer); // $NON-NLS-1$
 		
@@ -365,56 +372,8 @@
 	}
 
 
-	protected void initializeFields() {
-//		try { // init combos
-//			
-//			//propertiesSelector.setProperties(internalView.getAvailableProperties(), internalView.getProperties());
-//			
-//				Integer n = internalView.getCurrentPage();
-//				n++;
-//				navigation.setInfoLineText(n.toString(), internalView.getLocationTail());
-//
-////			for (StructuralUnit struct : internalView.getAvailableStructs()) {
-////				structCombo.add(struct.toString());
-////			}
-////			if (internalView.getAvailableStructs().size() > 0) {
-////				int hasS = -1;
-////				int hasP = -1;
-////				for (int i = 0 ; i < internalView.getAvailableStructs().size() ; i++) {
-////					if (internalView.getAvailableStructs().get(i).getName().equals("s")) {
-////						hasS = i; //$NON-NLS-1$
-////					}
-////					else if (internalView.getAvailableStructs().get(i).getName().equals("p")) {
-////						hasP = i; //$NON-NLS-1$
-////					}
-////				}
-////
-////				if (hasS > 0) { 
-////					structCombo.select(hasS);
-////				} else if (hasP > 0) {
-////					structCombo.select(hasP);
-////				} else {
-////					structCombo.select(0);
-////				}	
-////
-////				structCombo.addSelectionListener(new SelectionListener() {
-////					@Override
-////					public void widgetSelected(SelectionEvent e) {
-////						reloadStructuralUnitProperties();
-////					}
-////
-////					@Override
-////					public void widgetDefaultSelected(SelectionEvent e) { }
-////				});
-////				
-////				reloadStructuralUnitProperties();
-////			}
-//		} catch (Exception e) {
-//			System.out.println(InternalViewUIMessages.InternalViewEditor_10);
-//			org.txm.rcp.utils.Logger.printStackTrace(e);
-//		}
-	}
 
+
 	@Override
 	public void updateResultFromEditor() {
 		// nothing to do
Index: tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/preferences/PartitionPreferencePage.java
===================================================================
--- tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/preferences/PartitionPreferencePage.java	(revision 722)
+++ tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/preferences/PartitionPreferencePage.java	(revision 723)
@@ -67,7 +67,6 @@
 	@Override
 	public void init(IWorkbench workbench) {
 		this.setPreferenceStore(new TXMPreferenceStore(PartitionDimensionsPreferences.PREFERENCES_NODE));
-		//this.setDescription(Messages.DiagnosticPreferencePage_1);
 		this.setTitle(TXMCoreMessages.common_description);
 	}
 }
Index: tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java
===================================================================
--- tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 722)
+++ tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 723)
@@ -214,7 +214,7 @@
 	protected List<Property> pProperties;
 	
 	/** The keyword query. */
-	@Parameter
+	@Parameter(key=CooccurrencePreferences.QUERY)
 	protected Query pQuery;
 	
 	/** The minscore. */
Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/messages/ReferencerUIMessages.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/messages/ReferencerUIMessages.java	(revision 722)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/messages/ReferencerUIMessages.java	(revision 723)
@@ -4,6 +4,13 @@
 import org.eclipse.osgi.util.NLS;
 import org.txm.utils.messages.Utf8NLS;
 
+/**
+ * Referencer UI messages. 
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
 public class ReferencerUIMessages extends NLS {
 	
 	private static final String BUNDLE_NAME = "org.txm.referencer.rcp.messages.messages"; //$NON-NLS-1$
Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/LineLabelProvider.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/LineLabelProvider.java	(revision 722)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/LineLabelProvider.java	(revision 723)
@@ -60,8 +60,7 @@
 			return line.getPropValue();
 		case 2:
 			StringBuffer str = new StringBuffer();
-			for(String ref : line.getReferences())
-			{
+			for (String ref : line.getReferences()) {
 				str.append(", "+ref+"("+line.getCount(ref)+")"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			}
 			return str.substring(2); 
